Subject: RE: [RFC PATCH v3 0/7] Introduce clar testing framework

From: <[email-masked]>
Date: Mon, 12 Aug 2024 14:13:13 -0400

On Monday, August 12, 2024 2:11 PM, Josh Steadmon wrote:
>On 2024.08.08 07:38, Patrick Steinhardt wrote:
>> Hi,
>>
>> this is the third version of my RFC patch series that introduces the
>> clar testing framework into our unit tests. The intent is to not have
>> to hand-craft all features of a proper unit testing framework, while
>> still not painting us into a corner. As such, the clar itself is small
>> and extensible while still bringing some nice features to the table.
>>
>> Changes compared to v2:
>>
>>   - Fix a copy/paste error for the clar license. It's ISC, not LGPL.
>>
>>   - Include "clar.h" via "clar/clar.h" such that we do not have to add
>>     "clar/" as in preprocessor include directive.
>>
>>   - Adapt strvec unit test to use `cl_assert_equal_i()` instead of
>>     `cl_assert()`.
>>
>> Thanks!
>>
>> Patrick
>>
>> Patrick Steinhardt (7):
>>   t: do not pass GIT_TEST_OPTS to unit tests with prove
>>   t: import the clar unit testing framework
>>   t/clar: fix whitespace errors
>>   t/clar: fix compatibility with NonStop
>>   Makefile: wire up the clar unit testing framework
>>   t/unit-tests: convert strvec tests to use clar
>>   t/unit-tests: convert ctype tests to use clar
>
>I'm generally in favor of this change, but I'm still unsure what our plan
is for
>importing this from upstream clar. Are we going to vendor our own copy here
and
>(hopefully) someone will pay attention to upstream fixes and apply them to
our
>copy? Or will we replace this with a submodule?

I think we have our own copy of clar, customized to integrate with the
existing make
infrastructure.